#include <DeviceModel.h>
#include <BoodskapMessage.h>

#define BOODSKAP_DOMAIN_KEY "your-domain-key" // register at https://platform.boodskap.io 
#define BOODSKAP_ASSET_ID "your-asset-id" // a unique name
#define BOODSKAP_API_KEY "api-key" // it is not used at the moment
#define BOODSKAP_MESSAGE_ID 1000 //the message id you defined in the platform.
#define FIRMWARE_VERSION "1.0.0"

DynamicJsonBuffer buffer;
BoodskapMessage message(BOODSKAP_MESSAGE_ID, buffer, BOODSKAP_DOMAIN_KEY, BOODSKAP_ASSET_ID, BOODSKAP_API_KEY, FIRMWARE_VERSION, ARDUINO_MKR1000);

void setup() {
  Serial.begin(115200);
  delay(1000);
  Serial.println(BOODSKAP_ASSET_ID);
  Serial.println(FIRMWARE_VERSION);
  Serial.println("initialized....");
  Serial.println();

  message.set("stamp", millis());
  message.get().printTo(Serial);
  Serial.println();

  //you can compact the message once your have successfully sent a message
  //message.compact();
}

void loop() {

  message.set("stamp", millis());
  message.get().printTo(Serial);
  Serial.println();

  delay(3000);

}
